Gyoto::WIP Class Reference

Base class for work in progress. More...

`#include <GyotoWIP.h>`

Inheritance diagram for Gyoto::WIP:

## Public Member Functions

| WIP ()
| Issue a warning.
| WIP (std::string classname)
| Issue a warning specifying the name of the derived class.

## Detailed Description

Base class for work in progress.

The constructors of this class simply issue a warning that the (derived) class is work in progress.

## Constructor & Destructor Documentation

## WIP()

Gyoto::WIP::WIP | ( | std::string | classname | ) |

Issue a warning specifying the name of the derived class.

If classname is the empty string (""), the warning is not issued. Use this to mark that a class is no more work in progress without breaking the ABI (i.e. in the Gyoto stable branch).

The documentation for this class was generated from the following file:

- GyotoWIP.h